Bug 13894 - SQLHelper replacement - C4::Members::Search - reserve.pl
Summary: SQLHelper replacement - C4::Members::Search - reserve.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 12633 13936
  Show dependency treegraph
 
Reported: 2015-03-23 13:44 UTC by Jonathan Druart
Modified: 2016-04-04 19:28 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13894: Make reserve.pl not using C4::Members::Search (7.28 KB, patch)
2015-03-23 13:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 13894: Make reserve.pl not using C4::Members::Search (7.45 KB, patch)
2015-03-24 10:27 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13894: Make reserve.pl not using C4::Members::Search (7.41 KB, patch)
2015-03-27 15:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13894: Fix if the search returns only 1 result (1.62 KB, patch)
2015-03-30 10:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-23 13:44:29 UTC
reserve/request.pl currently uses C4::Members::Search.
To get rid of SQLHelper, we should not use this subroutine anymore.
Comment 1 Jonathan Druart 2015-03-23 13:46:56 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-03-23 13:48:30 UTC
Note that this method will be applied to the circulation patron selection if this reach an agreement.
Comment 3 Marc Véron 2015-03-24 10:27:12 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-03-27 15:36:14 UTC
Created attachment 37330 [details] [review]
[PASSED QA] Bug 13894: Make reserve.pl not using C4::Members::Search

Important note: This will modify the UI.
The patron list will now be displayed in a table (instead of a select).

Test plan:
1/ Place a hold on a record
2/ Search for a patron
3/ Select a patron and submit
4/ The hold workflow should continue as previously

No behavior changes should be observed.

Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2015-03-30 10:07:03 UTC
Created attachment 37361 [details] [review]
Bug 13894: Fix if the search returns only 1 result

In the case where only 1 result is returned by the search, the
borrowernumber should be passed correctly.
Comment 6 Tomás Cohen Arazi 2015-03-30 16:16:51 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 7 Jonathan Druart 2015-04-01 09:54:14 UTC
(In reply to Tomás Cohen Arazi from comment #6)
> Patch pushed to master.
> 
> Thanks Jonathan!

There is something wrong with the last past, the patrons search (using the checkout tab) is broken.
Working on it and will submit a patch asap.
Comment 8 Jonathan Druart 2015-04-01 10:04:15 UTC
Comment on attachment 37361 [details] [review]
Bug 13894: Fix if the search returns only 1 result

Review of attachment 37361 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
@@ +487,4 @@
>  [% END %]
>  
>  
> +[% IF ( borrowers ) %]

This change was for bug 13926.
Comment 9 Jonathan Druart 2015-04-01 10:07:57 UTC
Patch on bug 13936, sorry for that.